## Contributing to reliability

### Questions about reliability engineering or survival analysis?

If you are using reliablity to perform reliability engineering or survival analysis and have a question about "how do I do X?" or "what does Y do?", you should firstly consult the [online documentation](https://reliability.readthedocs.io/en/latest/). If you are unable to get an answer there, please email me (alpha.reliability@gmail.com) and I will try to help. Note that the documentation is designed for users with some background in reliability engineering so the documentation is largely focussed on how the software achieves a particular task, rather than providing the statistical background for these methods.

### Submitting bugs or other errors observed

I appreciate all bug reports submitted, no matter how small they might seem, as this will help the entire community get a better product. Please email me (alpha.reliability@gmail.com) with any bugs and I will work to fix them rapidly. Before reporting any bugs, please ensure you are using the most recent version of reliability as the codebase is regularly updated.

### Submitting new feature requests

You can either open up an issue in the Github Repository with as much context as possible about the feature you would like to see, or email me and we can discuss the idea.

### Submitting code, or other changes

I am happy to receive code snippets or other changes via email. These contributions will be reviewed on an individual basis. I will accept pull requests on GitHub if they do not require significant modification, though my preference is to receive code submissions via email.
